namespace ScadaLink.Commons.Entities.Notifications;

public class NotificationList
{
    public int Id { get; set; }
    public string Name { get; set; }
    public ICollection<NotificationRecipient> Recipients { get; set; } = new List<NotificationRecipient>();

    public NotificationList(string name)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
    }
}
